Name:           erlang-esdl
Version:        0.96.0626
Release:        3%{?dist}
Summary:        Erlang OpenGL/SDL api and utilities

Group:          Development/Libraries
License:        Distributable
URL:            http://esdl.sourceforge.net
Source:		http://download.sourceforge.net/esdl/esdl-%{version}.src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL-devel
BuildRequires:	libGL-devel
BuildRequires:	libGLU-devel
BuildRequires:	erlang = R12B
Requires:	erlang = R12B
Provides:	esdl = %{version}-%{release}


%description
A library that gives you access to SDL and OpenGL functionality in
your Erlang program.


%package devel
Summary:	Development files for ESDL
Group:          Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for ESDL.


%define erlangdir %{_libdir}/erlang

%prep
%setup -q -n esdl-%{version}
perl -pi -e 's|INSTALLDIR = |INSTALLDIR = \$(DESTDIR)|' Makefile
perl -pi -e 's|^ERL_DIR.*|ERL_DIR:=%{erlangdir}|' Makefile
find . -name '*.c' -or -name '*.h' | xargs chmod 0644


%build
PATH=%{erlangdir}/bin:$PATH make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{erlangdir}/lib
make DESTDIR=$RPM_BUILD_ROOT install
chmod 0644 Readme
find . -name '*.html' | xargs chmod 0644
find $RPM_BUILD_ROOT%{erlangdir}/lib -name 'Readme*' | xargs rm -f
find $RPM_BUILD_ROOT%{erlangdir}/lib -name 'license*' | xargs rm -f
find $RPM_BUILD_ROOT%{erlangdir}/lib -name '*.beam' | xargs chmod 0644
find $RPM_BUILD_ROOT%{erlangdir}/lib -name '*.hrl' | xargs chmod 0644
find $RPM_BUILD_ROOT%{erlangdir}/lib -name '*.erl' | xargs chmod 0644
find $RPM_BUILD_ROOT%{erlangdir}/lib -name doc | xargs rm -fr
rm -rf $RPM_BUILD_ROOT%{erlangdir}/lib/esdl-%{version}/c_src


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Readme license.terms
%{erlangdir}/lib/esdl-%{version}
%exclude %{erlangdir}/lib/esdl-%{version}/include
%exclude %{erlangdir}/lib/esdl-%{version}/src


%files devel
%defattr(-,root,root,-)
%doc doc/*.html
%{erlangdir}/lib/esdl-%{version}/include
%{erlangdir}/lib/esdl-%{version}/src


%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.96.0626-3
- Autorebuild for GCC 4.3

* Mon Dec 10 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.96.0626-2
- rebuild for erlang R12B

* Sun Apr  8 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.96.0626-1
- new version 0.96.0626

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.95.0630-8
- Rebuild for FE6

* Wed Jun  7 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.95.0630-7
- revert to use erlang R10B

* Thu May 18 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.95.0630-6
- rebuilt for erlang R11B-0

* Tue Apr 25 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.95.0630-4
- removed c_src directory

* Mon Apr 24 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.95.0630-3
- renamed package to erlang-esdl

* Mon Apr 24 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.95.0630-2
- split off devel package

* Thu Sep  8 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.95.0630-1
- New Version 0.95.0630

* Sun Mar  6 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.94.1025-1
- New Version 0.94.1025

* Sat Jul 17 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.94.0615-0.fdr.1
- New Version 0.94.0615

* Sun Apr 11 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.94.0125-0.fdr.1
- First Fedora release
